ClassFile.DeadLabelsOption (Java SE 22 & JDK 22)
Description: declaration: module: java.base, package: java.lang.classfile, interface: ClassFile, enum: DeadLabelsOption
Keywords: java.lang.classfile.ClassFile.DeadLabelsOption class

Module java.base
Package java.lang.classfilePREVIEW

# Enum Class ClassFile.DeadLabelsOption

java.lang.Object
java.lang.Enum<ClassFile.DeadLabelsOptionPREVIEW>
java.lang.classfile.ClassFile.DeadLabelsOption

All Implemented Interfaces:
  `Serializable`, `ClassFile.OptionPREVIEW`, `Comparable<ClassFile.DeadLabelsOptionPREVIEW>`, `Constable`

Enclosing interface:
  `ClassFilePREVIEW`

public static enum ClassFile.DeadLabelsOption extends Enum<ClassFile.DeadLabelsOptionPREVIEW> implements ClassFile.OptionPREVIEW
`DeadLabelsOption` is a preview API of the Java platform.
Programs can only use `DeadLabelsOption` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Option describing whether to filter unresolved labels. Default is `FAIL_ON_DEAD_LABELS` to throw IllegalStateException when any `ExceptionCatch`PREVIEW, `LocalVariableInfo`PREVIEW, `LocalVariableTypeInfo`PREVIEW, or `CharacterRangeInfo`PREVIEW reference to unresolved `Label`PREVIEW during bytecode serialization. Setting this option to `DROP_DEAD_LABELS` filters the above elements instead.

Since:
  22

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DROP_DEAD_LABELS`
  Filter unresolved labels
  `FAIL_ON_DEAD_LABELS`
  Fail on unresolved labels

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ClassFile.DeadLabelsOptionPREVIEW`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ClassFile.DeadLabelsOptionPREVIEW[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FAIL_ON_DEAD_LABELS

    public static final ClassFile.DeadLabelsOptionPREVIEW FAIL_ON_DEAD_LABELS
    Fail on unresolved labels

  - ### DROP_DEAD_LABELS

    public static final ClassFile.DeadLabelsOptionPREVIEW DROP_DEAD_LABELS
    Filter unresolved labels

- ## Method Details

  - ### values

    public static ClassFile.DeadLabelsOptionPREVIEW[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ClassFile.DeadLabelsOptionPREVIEW valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null